/**
 * @copyright University of Guelph
 */

#ifndef __CG_PLACER_H__
#define __CG_PLACER_H__ 1

#include "Placement.h"

namespace starplacer {

    /**
     * The entrance point Conjugate Gradient placer,
     * it performs pre-placement, runs CG, and
     * does the legalization. All work is done in the
     * constructor and no state is maintained.
     * could be changed to a function.
     *
     * After this is called the placement has been placed,
     * all blocks are stored at integer positions.
     */
    class CGPlacer {
      public:
        static void Place(Placement* placement);
    };
} // namespace starplacer

#endif
