/**
 * @copyright University of Guelph
 */
#ifndef _IOBLOCK_H_
#define _IOBLOCK_H_ 1

#include <cstddef>
#include <assert.h>
#include <string>

#include "Block.h"

namespace starplacer {
    class IOBlock: public Block {
      public:
        const int io_id; // a unique id for the io blocks
        // while the id() inherited from the block class is still
        // valid for io blocks, it does not need to be contiguos
        // for io blocks, this index is assigned to io blocks only
        // [0 .. netlist.num_input + netlist.num_output)
        // use this for lookups and array for io blocks only.

        int z; // the z coordinate for the io blocks
        // often more than 1 io fits into the same space as
        // a clb block, z is then [0 arch.io_rat)
        // note that no placer modifies this dimension
        // only the legalization method places along this dimension
        // and so it only needs to be an integer.

        IOBlock(int id, int io_id);

        void addNet(Net* net, int blk_pin);
    };
}

namespace yaml {
    std::string yaml(starplacer::IOBlock* io);
}
#endif
