/**
 * @copyright University of Guelph
 */

#include <cstddef>
#include <assert.h>
#include <sstream>
#include <string>

#include "Block.h"
#include "yaml.h"

#include "IOBlock.h"

namespace starplacer {
    IOBlock::IOBlock(int id, int io_id): Block(1, id), io_id(io_id) {}

    void IOBlock::addNet(Net* net, int blk_pin) {
        this->Block::addNet(net, 0);
    }
}

namespace yaml {
    std::string yaml(starplacer::IOBlock * io) {
        std::stringstream ss;
        if (io == NULL) {
           return "null";
        }
        ss << "{id: " << io->id();
        ss << ", x: " << io->x;
        ss << ", y: " << io->y;
        ss << ", type: \"IOBlock\"}";
        return ss.str();
    }
}
